## ros-humble-clearpath-platform 0.2.9

=== debian/changelog ===
ros-humble-clearpath-platform (0.2.9-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.8-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.7-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.6-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 17 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.5-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 14 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.4-1bookworm) bookworm; urgency=high

  * Fixed lighting lib install
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 10 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.3-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.2-1bookworm) bookworm; urgency=high

  * Fixed status topic names
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.1-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 20 Dec 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.2.0-1bookworm) bookworm; urgency=high

  * Pass robot description to controller manager over topic
  * [clearpath_platform] Re-added position state to hardware interface.
  * Added W200 Hardware interface.
  * Use path substitution
  * Updated lighting patterns
    Added charged state
  * Comments
  * Cleanup
  * Fill lights by platform
  * Lighting states
  * Working HSV
  * Initial lighting node
  * Whitespace
  * Base diff drive hardware and hardware interface class
    J100 and W200 inherit from diff drive
    Moved each platform into its own folder
  * Contributors: Luis Camero, Roni Kreinin, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 07 Dec 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.1.3-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 02 Nov 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.1.2-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 01 Oct 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.1.1-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 24 Aug 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.1.0-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.9-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 30 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.8-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 23 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.7-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 18 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.6-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 12 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.5-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 11 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.4-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 06 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.3-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 04 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.2-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 03 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.1-1bookworm) bookworm; urgency=high

  * Added namespacing support
  * Updated dependencies
  * Added clearpath_generator_common
    Moved clearpath_platform to clearpath_common
    Fixed use_sim_time parameter issue with ekf_node
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 20 Jun 2023 16:00:00 -0000
