=== debian/control ===
Source: ros-humble-clearpath-platform
Section: misc
Priority: optional
Maintainer: Luis Camero <lcamero@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-clearpath-platform-msgs, ros-humble-controller-interface, ros-humble-controller-manager, ros-humble-controller-manager-msgs, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-puma-motor-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-clearpath-platform
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-clearpath-control, ros-humble-clearpath-platform-description, ros-humble-clearpath-platform-msgs, ros-humble-controller-interface, ros-humble-controller-manager, ros-humble-controller-manager-msgs, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-puma-motor-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-xacro, ros-humble-ros-workspace
Description: Clearpath Platform Drivers.
